Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class GateType

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.GateType

All Implemented Interfaces:
  `ListItem`

public class GateType extends Object implements ListItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GateType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getConfigOption(String key)`
  `Preferences`
  `getConfigSetup()`
  `String`
  `getGateFactory()`
  `String`
  `getGateManager()`
  `int`
  `getId()`
  `String`
  `getRule()`
  `String`
  `getRuleEditor()`
  `String`
  `getScript()`
  `String`
  `getTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setId(int id)`
  `void`
  `setRule(String rule)`
  `void`
  `setScript(String script)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GateType

    public GateType()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId(int id)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle(String title)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getRuleEditor

    public String getRuleEditor()

  - ### getGateManager

    public String getGateManager()

  - ### getGateFactory

    public String getGateFactory()

  - ### getConfigOption

    public String getConfigOption(String key)

  - ### getConfigSetup

    public Preferences getConfigSetup()

  - ### getRule

    public String getRule()

  - ### setRule

    public void setRule(String rule)

  - ### getScript

    public String getScript()

  - ### setScript

    public void setScript(String script)